## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           optional-lite
Version:        3.6.0
Release:        %autorelease
Summary:        Represent optional (nullable) objects and pass them by value

License:        BSL-1.0
URL:            https://github.com/martinmoene/optional-lite
Source:         %{url}/archive/v%{version}/optional-lite-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

# Required for testing; bundled upstream, unbundled in %%prep.
# Header-only library (-static required by policy)
BuildRequires:  lest-devel lest-static

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
A single-file header-only version of a C++17-like optional, a nullable object
for C++98, C++11 and later.}

%description %{common_description}


%package devel
Summary:        Development files for %{name}

# Header-only library
Provides:       %{name}-static = %{version}-%{release}

%description devel %{common_description}

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n optional-lite-%{version}

# Unbundle lest
rm -rvf test/lest
ln -s /usr/include/lest test/lest


%conf
%cmake


%build
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license LICENSE.txt
# We don’t package CHANGES.txt because it is hasn’t been updated since release
# 1.0.2, so it isn’t very useful. If we did, we would need to fix its encoding,
# https://github.com/martinmoene/optional-lite/pull/80.
%doc README.md
%doc example/

# Contains gdb/nonstd_optional_printer.py. We would like to be able to install
# this system-wide so it could be automatically initialized, and there is some
# relevant documentation at
#
# https://sourceware.org/gdb/current/onlinedocs/gdb.html/Writing-a-Pretty_002dPrinter.html
#
# but it’s not quite clear how to correctly tie everything together. Help is
# welcome; until then, we just install the pretty-printer as documentation.
%doc extra/

# This directory is co-owned with packages for similar libraries, e.g.
# variant-lite, by the same author.
%dir %{_includedir}/nonstd/
%{_includedir}/nonstd/optional.hpp

%{_libdir}/cmake/optional-lite/


%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 16 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.6.0-4
- Since we don’t package CHANGES.txt, don’t patch/convert it

* Thu Jan 16 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.6.0-2
- Stop packaging CHANGES.txt because it is very outdated

* Tue Jan 14 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.6.0-1
- Initial package (close RHBZ#2336142)
## END: Generated by rpmautospec
